/* Modifiering av ett tidigare exempel. Nu används en array,
   för att översätta från ett nummer till namn på en bildfil. */
// --------------------------------------------------
// Globala variabler och konstanter
const imgNames = ["apple", "banana", "kiwi", "lemon", "orange", "pear", "peach", "pineapple", "watermelon"]; // Namn på bildfilerna
let imgElem;    // img-elementet för bilden i bildspelet
let imgIx = 0;  // Index för aktuell bild, börja på 0
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
	imgElem = document.querySelector("#imgViewer img");
	document.querySelector("#leftBtn").addEventListener("click", prevImg);
	document.querySelector("#rightBtn").addEventListener("click", nextImg);

    imgIx = Math.floor(imgNames.length * Math.random());
    showImg();
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Ta fram föregående bild
function prevImg() {
	if (imgIx > 0) {
		imgIx--;
		showImg();
	}
} // Slut prevImg
// --------------------------------------------------
// Ta fram nästa bild
function nextImg() {
	if (imgIx < imgNames.length - 1) { // Övre gräns för index = antal namn - 1
		imgIx++;
		showImg();
	}
} // Slut nextImg
// --------------------------------------------------
// Visa bilden som bestäms av imgNames indexerat av imgIx
function showImg() {
	imgElem.src =  "img/fruits/" + imgNames[imgIx] + ".jpg";
} // Slut showImg
// --------------------------------------------------
